#include "Mikromedia_4_Demo_objects.h"
#include "Mikromedia_4_Demo_resources.h"

//--------------------- User code ---------------------//

#include "system_driver.h"

//----------------- End of User code ------------------//

// Event Handlers

void Button_00_01_INDOOR_OnClick( )
{
    system_screen_changed( MODULE_INDOOR );
}

void Button_00_02_MP3_OnClick( )
{
    system_screen_changed( MODULE_MP3 );
}

void Button_00_03_ACCEL_OnClick( )
{
    system_screen_changed( MODULE_ACCEL );
}

/** MP3 CONTROL BUTTONS */

void Button_00_04_PLAY_OnClick( )
{
    mp3_module_state_changed( );
}

void Button_00_05_MUTE_OnClick( )
{
    mp3_mute_volume( );
}

void Button_00_06_VOL_INC_OnClick( )
{
    mp3_increase_volume( );
}

void Button_00_07_VOL_DEC_OnClick( )
{
    mp3_decrease_volume( );
}

void Button_00_08_NEXT_OnClick( )
{
    mp3_next_song( );
}

void Button_00_09_PREV_OnClick( )
{
    mp3_prev_song( );
}